Package fr.gouv.vitam.storage.engine.common.model.response

# Class StoredInfoResult

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.response.StoredInfoResult

public class StoredInfoResult extends Object
Data structure representing global result from a 'createObject' request

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredInfoResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationTime()`
  `String`
  `getDigest()`
  `String`
  `getDigestType()`
  `String`
  `getId()`
  `String`
  `getInfo()`
  `String`
  `getLastAccessTime()`
  `String`
  `getLastCheckedTime()`
  `String`
  `getLastModifiedTime()`
  `int`
  `getNbCopy()`
  `String`
  `getObjectGroupId()`
  `List<String>`
  `getOfferIds()`
  `String`
  `getStrategy()`
  `List<String>`
  `getUnitIds()`
  `StoredInfoResult`
  `setCreationTime(String creationTime)`
  `StoredInfoResult`
  `setDigest(String digest)`
  `StoredInfoResult`
  `setDigestType(String digestType)`
  `StoredInfoResult`
  `setId(String id)`
  `StoredInfoResult`
  `setInfo(String info)`
  `StoredInfoResult`
  `setLastAccessTime(String lastAccessTime)`
  `StoredInfoResult`
  `setLastCheckedTime(String lastCheckedTime)`
  `StoredInfoResult`
  `setLastModifiedTime(String lastModifiedTime)`
  `StoredInfoResult`
  `setNbCopy(int nbCopy)`
  `StoredInfoResult`
  `setObjectGroupId(String objectGroupId)`
  `StoredInfoResult`
  `setOfferIds(List<String> offerIds)`
  `StoredInfoResult`
  `setStrategy(String strategy)`
  `StoredInfoResult`
  `setUnitIds(List<String> unitIds)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StoredInfoResult

    public StoredInfoResult()

- ## Method Details

  - ### getStrategy

    public String getStrategy()
    Returns:
      the strategy

  - ### setStrategy

    public StoredInfoResult setStrategy(String strategy)
    Parameters:
      `strategy` - the strategy to set
    Returns:
      this

  - ### getNbCopy

    public int getNbCopy()
    Returns:
      the nbCopy

  - ### setNbCopy

    public StoredInfoResult setNbCopy(int nbCopy)
    Parameters:
      `nbCopy` - the nbCopy to set
    Returns:
      this

  - ### getOfferIds

    public List<String> getOfferIds()
    Returns:
      the offerIds

  - ### setOfferIds

    public StoredInfoResult setOfferIds(List<String> offerIds)
    Parameters:
      `offerIds` - the offerIds to set
    Returns:
      this

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public StoredInfoResult setId(String id)
    Parameters:
      `id` - of global result
    Returns:
      this

  - ### getInfo

    public String getInfo()
    Returns:
      the info

  - ### setInfo

    public StoredInfoResult setInfo(String info)
    Parameters:
      `info` - of result
    Returns:
      this

  - ### getObjectGroupId

    public String getObjectGroupId()
    Returns:
      the objectGroup Id

  - ### setObjectGroupId

    public StoredInfoResult setObjectGroupId(String objectGroupId)
    Parameters:
      `objectGroupId` - of global result
    Returns:
      this

  - ### getUnitIds

    public List<String> getUnitIds()
    Returns:
      the unitIds

  - ### setUnitIds

    public StoredInfoResult setUnitIds(List<String> unitIds)
    Parameters:
      `unitIds` - of global result
    Returns:
      this

  - ### getCreationTime

    public String getCreationTime()
    Returns:
      the creation Time

  - ### setCreationTime

    public StoredInfoResult setCreationTime(String creationTime)
    Parameters:
      `creationTime` - of global result
    Returns:
      this

  - ### getLastAccessTime

    public String getLastAccessTime()
    Returns:
      the Last access Time

  - ### setLastAccessTime

    public StoredInfoResult setLastAccessTime(String lastAccessTime)
    Parameters:
      `lastAccessTime` - of global result
    Returns:
      this

  - ### getLastCheckedTime

    public String getLastCheckedTime()
    Returns:
      the Last checked Time

  - ### setLastCheckedTime

    public StoredInfoResult setLastCheckedTime(String lastCheckedTime)
    Parameters:
      `lastCheckedTime` - of global result
    Returns:
      this

  - ### getLastModifiedTime

    public String getLastModifiedTime()
    Returns:
      the Last modified Time

  - ### setLastModifiedTime

    public StoredInfoResult setLastModifiedTime(String lastModifiedTime)
    Parameters:
      `lastModifiedTime` - of global result
    Returns:
      this

  - ### getDigestType

    public String getDigestType()
    Returns:
      the digestType

  - ### setDigestType

    public StoredInfoResult setDigestType(String digestType)
    Parameters:
      `digestType` - of global result
    Returns:
      this

  - ### getDigest

    public String getDigest()
    Returns:
      the digest

  - ### setDigest

    public StoredInfoResult setDigest(String digest)
    Parameters:
      `digest` - of global result
    Returns:
      this

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`